package QNX;

use strict;
use vars qw($VERSION @ISA @EXPORT @EXPORT_OK);

require Exporter;
require DynaLoader;
require AutoLoader;

@ISA = qw(Exporter DynaLoader);
# Items to export into callers namespace by default. Note: do not export
# names by default without a very good reason. Use EXPORT_OK instead.
# Do not simply export all your public functions/methods/constants.
@EXPORT_OK = qw(
	
);
$VERSION = '0.02';

bootstrap QNX $VERSION;

# Preloaded methods go here.

# Autoload methods go after =cut, and are processed by the autosplit program.

1;
__END__
# Below is the stub of documentation for your module. You better edit it!

=head1 NAME

QNX - Perl extension for Watcom QNX C library

=head1 SYNOPSIS

	QNX::Send($pid, $send_msg, $receive_msg, $size_send, $size_receive)
	QNX::Receive($pid, $receive_msg, $size_receive)
	QNX::Reply($pid, $reply_msg, $size_reply)
	QNX::name_attach($nid, $name)
	QNX::name_detach($nid, $name_id)
	QNX::name_locate($nid, $name, $size, $copies)
	QNX::proxy_attach($pid, $data, $size, $priority)
	QNX::proxy_detach($pid)
	QNX::proxy_rem_attach($nid, $proxy_pid)
	QNX::proxy_rem_detach($nid, $vproxy_pid)
	QNX::Trigger($pid)

	QNX::errno()

=head1 DESCRIPTION

These functions have the same usage as the C functions with the
exception that the copies variable passed into the function is the 
actual variable in which the number of copies will be stored.

Also QNX::errno() is a function which you can use to check the errno
value in C if the return of any of the other functions is -1.

=head1 AUTHOR

Jocelyn Rodgers	jrodgers@fas.harvard.edu
Maintained by Norton Allen	allen@huarp.harvard.edu

=head1 SEE ALSO

perl(1).

=cut
